org.apache.sysds.runtime.data

## Enum SparseBlock.Type

- java.lang.Object
- - java.lang.Enum<SparseBlock.Type>
  - - org.apache.sysds.runtime.data.SparseBlock.Type

- All Implemented Interfaces:
    Serializable, Comparable<SparseBlock.Type>
  Enclosing class:
    SparseBlock

      public static enum SparseBlock.Type
      extends Enum<SparseBlock.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COO`
    `CSR`
    `MCSR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SparseBlock.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SparseBlock.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MCSR

          public static final SparseBlock.Type MCSR

    - #### CSR

          public static final SparseBlock.Type CSR

    - #### COO

          public static final SparseBlock.Type COO

  - ### Method Detail

    - #### values

          public static SparseBlock.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SparseBlock.Type c : SparseBlock.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SparseBlock.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 The Apache Software Foundation. All rights reserved.